Page MenuHomePhabricator

Deploy suggested edits on uk, hu, hy, eu wikis
Open, HighPublic

Description

We have a new feature available for Wikipedias: Suggested Edits. We need communities help to have Suggested Edits deployed.

Templates to use

ArmenianBasqueHungarianUkrainian
Update articleԿաղապար:ԹարմացնելTxantiloi:ZaharkituaSablon:Elavult tartalomШаблон:Оновити
Add ReferencesԿաղապար:ՓաստTxantiloi:Erreferentzia faltaSablon:Nincs forrásШаблон:Без джерел
Add LinksԿաղապար:ՄաքրումTxantiloi:WikituSablon:ÁtdolgozandóШаблон:Упорядкувати, Шаблон:Брак посилань
Expand articleԿաղապար:ԱնավարտTxantiloi:ZirriborroaSablon:CsonkШаблон:Доробити
Copyedit articleԿաղապար:ՎրիպակներTxantiloi:ZuzenduSablon:KorrektúrázandóШаблон:Мовні помилки

Related Objects

Event Timeline

Trizek-WMF triaged this task as High priority.Mar 10 2020, 2:28 PM
Trizek-WMF created this task.
Trizek-WMF removed a project: Goal.
MMiller_WMF renamed this task from Deploy suggested edits on Wikipedias that don't have them to Deploy suggested edits on uk, hu, hy, eu wikis..Mar 18 2020, 7:06 PM
MMiller_WMF renamed this task from Deploy suggested edits on uk, hu, hy, eu wikis. to Deploy suggested edits on uk, hu, hy, eu wikis.Mar 18 2020, 7:08 PM

@Trizek-WMF will post counts from each of the five maintenance templates in each of the four wikis, so that we know whether we will be serving up sufficient numbers of tasks and whether we seem to have the right or wrong templates.

Here are the numbers.

ArmenianBasqueHungarianUkrainian
Update article271281,0491,781
Add ReferencesDon't exist305+ 2,000+ 2,000
Add Links56 (or 1,257 if we use {{wikify}}392418853
Expand article+2,000+ 2,000495+ 2,000
Copyedit article1289+ 2,000+ 2,000

I've asked each community that has low numbers or no template to provide a better option.

To be done: upgrade the table above with fallback templates used on T234846#5980041.

Trizek-WMF updated the task description. (Show Details)Mar 30 2020, 3:01 PM
Restricted Application added subscribers: Liuxinyu970226, Base. · View Herald TranscriptMar 30 2020, 3:01 PM

Ready for development, except Basque Wikipedia which has the same template used twice.

Trizek-WMF updated the task description. (Show Details)

Ready for development for all wikis.

Trizek-WMF removed Trizek-WMF as the assignee of this task.Mar 31 2020, 10:20 AM
Tgr added a subscriber: Tgr.Mar 31 2020, 6:28 PM

@Trizek-WMF FWIW I don't think Q5624688 has much to do with adding links. Q5849007 is probably better. (Q13107723 is even better but not used by many wikis.)

Tgr claimed this task.Mar 31 2020, 6:32 PM
Tgr added a comment.Mar 31 2020, 7:43 PM

Configuration pages: hywiki, euwiki, huwiki, ukwiki.

Tgr added a comment.Apr 1 2020, 1:14 PM

wgGEHomepageSuggestedEditsIntroLinks needs to be set when suggested edits is enabled, so we need for each wiki the two help pages about article creation and images. They are used in the initiation dialog (when enabling suggested edits) if the user selected the respective option in the welcome survey, and the article creation one is also used in the description of that task type.

Existing wikis use these:

(The ones for srwiki are being discussed at T241181#6007535.)

Change 585219 had a related patch set uploaded (by Gergő Tisza; owner: Gergő Tisza):
[operations/mediawiki-config@master] [WIP] Enable GrowthExperiments suggested edits on uk, hu, hy, eu wikipedias

https://gerrit.wikimedia.org/r/585219

kostajh added subscribers: RHo, kostajh.EditedApr 1 2020, 2:07 PM

wgGEHomepageSuggestedEditsIntroLinks needs to be set when suggested edits is enabled, so we need for each wiki the two help pages about article creation and images. They are used in the initiation dialog (when enabling suggested edits) if the user selected the respective option in the welcome survey, and the article creation one is also used in the description of that task type.

@RHo @MMiller_WMF maybe we should make this configuration value optional? If it's there the UI will use it, otherwise we can have a modified design that ignores it -- maybe just remove the greyed out checkbox entirely? Also relevant to T247507: Scale: deploy Growth features to 100 wikis

RHo added a comment.Apr 1 2020, 4:02 PM

wgGEHomepageSuggestedEditsIntroLinks needs to be set when suggested edits is enabled, so we need for each wiki the two help pages about article creation and images. They are used in the initiation dialog (when enabling suggested edits) if the user selected the respective option in the welcome survey, and the article creation one is also used in the description of that task type.

@RHo @MMiller_WMF maybe we should make this configuration value optional? If it's there the UI will use it, otherwise we can have a modified design that ignores it -- maybe just remove the greyed out checkbox entirely? Also relevant to T247507: Scale: deploy Growth features to 100 wikis

I would prefer we keep this. The intention of having the disabled "Create article" option shown is to indicate to newcomers the different levels of difficulty, as well as directing those users who created an account to specifically start an article to a place to learn more about this process.

@Trizek-WMF -- FYI about the action items for you on this task to gather up these remaining links.

I checked the two missing links for wgGEHomepageSuggestedEditsIntroLinks. I picked the most common pages for each, with a fallback. Priority is given to pages explaining how to use the visual editor.

TaskPrimary linkFallback link
Create an articleQ4966605Q10968373
Add an imageQ27919584Q4618557

For the wikis concerned by the current task, the links are:

ArmenianBasqueHungarianUkrainian
Create an articleՎիքիպեդիա:Հոդվածի ստեղծումLaguntza:Sarrera berriakWikipédia:Hogyan lehet új lapot írni?Довідка:Створення нової статті
Add an imageՎիքիպեդիա:ՊատկերազարդումLaguntza:IrudiakWikipédia:Képek használataДовідка:Як працювати із зображеннями у Візуальному редакторі/1

I'm assuming that local overrides can be done for these links too.

Thanks! This should be good to go. Is next Wednesday a good target date for this as well?

Tgr added a comment.Apr 3 2020, 9:49 PM

Thanks! This should be good to go. Is next Wednesday a good target date for this as well?

The deployment would also include T238295: Deploy Welcome Survey to Ukrainian, Hungarian, Armenian Wikipedias (which is probably less interesting from a community POV).

@Tgr -- that date sounds good to me. @Trizek-WMF should weigh in, too.

Change 585219 merged by jenkins-bot:
[operations/mediawiki-config@master] Enable GrowthExperiments suggested edits on uk, hu, hy, eu wikipedias

https://gerrit.wikimedia.org/r/585219

Mentioned in SAL (#wikimedia-operations) [2020-04-08T12:29:43Z] <tgr@deploy1001> Synchronized wmf-config/InitialiseSettings.php: SWAT: [[gerrit:585219|Enable GrowthExperiments suggested edits on uk, hu, hy, eu wikipedias (T247308)]] (duration: 01m 08s)

I checked these out today, and I noticed the following issues. @Etonkovidova and @Trizek-WMF -- could you also please list your issues, and then we can decide what other tickets to create and work on?

  • hywiki's newcomer tasks flow seems to have almost no translations at all -- it's all in English.
  • hywiki has very few "Easy" tasks (under 50). That makes sense because in T247308#5987375 we saw that they would. Therefore, I think we should add the "wikify" template to the configuration so that there are more tasks.
  • huwiki is also missing translations, but @Tgr translated them today. We have to decide whether to manually add them, or wait for next week's train.
  • I noticed on ukwiki, which has long text, that there are situations where things wrap weirdly on mobile. @RHo can tell us whether we should worry about that. See screenshots below.

I checked these out today, and I noticed the following issues. @Etonkovidova and @Trizek-WMF -- could you also please list your issues, and then we can decide what other tickets to create and work on?

  • hywiki's newcomer tasks flow seems to have almost no translations at all -- it's all in English.

@Trizek-WMF filed T249760: Missing translations for Growth team features on Armenian Wikipedia. to address the issue.

Moving to PM review since the objective of the task is done and verified. The issues listed below may need some additional work/tickets.

  • I noticed on ukwiki, which has long text, that there are situations where things wrap weirdly on mobile. @RHo can tell us whether we should worry about that. See screenshots below.

(1)

There are several examples when a long task name should be accommodated by providing an additional line

(2)

The issue has been present in cswiki since the new intro module was deployed (and even with English labels it looks a bit off):

(3)

@MMiller_WMF - did you see it in the browser emulator or on a real phone (iPhone, I assume). I see much less dramatic drop of the check mark. The font on my phone looks different (the font size is smaller; it's set like that in the setting, but increasing the font did not quite reproduce the issue you noticed). Also, there is another issue with the check marks that was reported in T242808.


Note (minor): the buttons seem to overwhelm the UI with different font types, backgrounds, etc

  • hywiki's newcomer tasks flow seems to have almost no translations at all -- it's all in English.

Tracked on T249760: Missing translations for Growth team features on Armenian Wikipedia..

  • hywiki has very few "Easy" tasks (under 50). That makes sense because in T247308#5987375 we saw that they would. Therefore, I think we should add the "wikify" template to the configuration so that there are more tasks.

We can manually add Կաղապար:Վիքիֆիկացում as another template covering these cases.

RHo added a comment.Apr 15 2020, 9:27 PM

Added comments relevant to design, below.

Moving to PM review since the objective of the task is done and verified. The issues listed below may need some additional work/tickets.

  • I noticed on ukwiki, which has long text, that there are situations where things wrap weirdly on mobile. @RHo can tell us whether we should worry about that. See screenshots below.

(1)

There are several examples when a long task name should be accommodated by providing an additional line

– I can't find the specific task right now where we fixed the style, but the expectation is that even though long task task types should wrap as shown, is it NOT EXPECTED for info icon to be on a line on its own as in some of the above screenshots. Can a task be filed to that the icon should always appear at the end of the task type text?
– Separately, if we have not already done so, can we add character limits or max length recommendations to QQQ description task for these strings?

(2)

The issue has been present in cswiki since the new intro module was deployed (and even with English labels it looks a bit off):

– This should be fixed under the existing task T246340 - @MMiller_WMF can this be prioritized?

(3)

@MMiller_WMF - did you see it in the browser emulator or on a real phone (iPhone, I assume). I see much less dramatic drop of the check mark. The font on my phone looks different (the font size is smaller; it's set like that in the setting, but increasing the font did not quite reproduce the issue you noticed). Also, there is another issue with the check marks that was reported in T242808.


@kostajh would some of these random issues with the topic tags be solved if T242414 was done?

Note (minor): the buttons seem to overwhelm the UI with different font types, backgrounds, etc

– This is not so bad especially as it does draw attention to this call to action. However, per comment above it'd be good to include notes on keeping strings like call to action text shorter in translation instructions.